@charset "utf-8";

/* font */
h3 {
  font-family: "mitrregular", sans-serif;
}

.site-menubar {
  font-family: Sarabun, sans-serif;
}

.logo-title {
  margin-left: 15px;
  margin-top: -10px;
  /* padding-left: 30px; */
}

.profile-text {
  margin-right: 10px;
  /* margin-top: 7px; */
}

a.profile-icon {
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  padding-left: 15px;
  /* margin-left: 5px; */
  padding-right: 15px;
}

.vertical {
  border-left: 3px solid white;
  height: 50px;
}

.vertical-profile {
  margin-top: 7px;
}

.nav-topbar {
  height: 80px;
  /* padding-top: 10px; */
  /* padding-bottom: 10px; */
}

.top-menu-bar {
  top: auto;
  margin-top: 14px;
  height: 124px;
  background-color: rgb(255, 255, 255);
}

.top-menu-icon-img {
  /* width: 30px; */
  max-width: 30px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
}

.top-menu-icon {
  color: black;
  height: 110px;
  border-radius: 1.25rem;
   margin-left: 2px;
    margin-right: 2px; 

}

.top-menu-icon > .nav-item {
  margin-left: 10px;
  margin-right: 10px;
  width: 100%;
}

.hideds {
  width: 0px;
}
.unfolds {
  width: 220px;
}
@media only screen and (max-width: 1200px) {
  .top-menu-icon-img {
    max-width: 20px;
  }
  .top-menu-icon-font {
    font-size: 13.5px;
  }
}
@media only screen and (max-width: 1100px) {
  .top-menu-icon-img {
    max-width: 20px;
  }
  .top-menu-icon-font {
    font-size: 13.5px;
  }
}

@media only screen and (max-width: 768px) {
  .top-menu-icon {
    margin-top: 0px !important;
    height: 74px !important;
  }
  .nlink {
    display: block;
    float: left;
    text-align: left;
    line-height: 15px;
    width: 50% !important;
    margin-bottom: 10px;
  }
  .nav-item {
    margin: 0 !important;
  }
  .top-menu-icon {
    height: 70px;
    /* border-radius: 1.25rem; */
  }
  .top-menu-icon-font {
    font-size: x-small;
  }
  .top-menu-bar {
    margin-top: 0px;
  }
  .content-page {
    top: 65px;
  }
}

@media only screen and (max-width: 950px) {
  .top-menu-icon {
    width: 60px;
  }

  .top-menu-icon-font {
    font-size: x-small;
  }
}

.nav-link:hover {
  color: #000000 !important;
  background-color: #f2f2f2;
  box-shadow: rgb(255 255 255) -5px -5px 10px 0px,
    rgb(0 0 0 / 23%) 5px 5px 10px 0px;
    opacity: 1 !important;
}

.nav-link {
    padding-left: 5px;
    padding-right: 5px;
    width: 100%;
}

.top-menu-icon-hold {
  color: #000;
  box-shadow: rgb(255 255 255) -5px -5px 10px 0px,
    rgb(0 0 0 / 23%) 5px 5px 10px 0px;
    padding-left: 5px;
    padding-right: 5px;
}

.top-menu-icon-font {
  /* font-size: 13.5px; */
  text-align: center;
  white-space: nowrap;
  /* padding-top: 5px; */
}

.navbar-inverse .navbar-collapse,
.navbar-inverse .navbar-form {
  border-color: rgb(253, 203, 194);
}

.nav-item {
  margin: auto;
}

.justify-content-center {
  margin: auto;
  /* height: 124px; */
}

.side-menu-bar {
  top: 204px;
  width: 220px;
}

.side-menu-bar-icon {
  margin-left: 10px;
  margin-top: -5px;
}

.sub-menu {
  width: 20px;
  margin-left: -15px;
  margin-top: -5px;
  display: inline-block;
  position: relative;
}

.sub-menu .img-top {
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 99;
}

.sub-menu.active .img-top {
  display: inline;
}

.site-menu-item.active .img-top {
  display: inline;
}

.content-page {
  top: 124px;
  margin-left: 220px;
}

.content-page-header {
  width: auto;
  height: 40px;
  border-radius: 10px;
}

.content-page-content {
  font-size: 13px;
  width: 80%;
  padding-top: 20px;
}

p.content-page-header {
  text-align: center;
  font-size: 24px;
  color: white;
}

span.content-page-title {
  font-size: 15px;
  font-weight: bold;
  color: black;
}
label.content-page-title {
  font-size: 15px;
  font-weight: bold;
  color: black;
  padding-top: 10px;
}

.btn.content-page-create {
  float: right;
}

.btn.theme1 {
  background-color: rgb(254, 103, 72);
  color: white;
}

.btn {
  margin-left: 5px;
  border-radius: 10px !important;
}

.long-btn {
  margin-left: 5px;
  border-radius: 10px;
  width: 140px;
  height: 45px;
}

.modal-content.modal-create {
  border-radius: 25px 25px 25px 25px;
  width: 950px;
  margin-left: -150px;
}

.modal-body {
  font-family: Sarabun, sans-serif;
}

.modal-btn {
  width: 90px;
  height: 40px;
  font-size: 14px;
}

.cbtn-1 {
  background-color: #66bb66;
  color: white;
}
.cbtn-2 {
  background-color: #f44336;
  color: white;
}
.cbtn-3 {
  background-color: #f49101;
  color: white;
}
.cbtn-4 {
  background-color: #888888;
  color: white;
}
.cbtn-5 {
  background-color: #0099ff;
  color: white;
}
.cbtn-6 {
  background-color: #fe6748;
  color: white;
}

.container-fluid.modal-container-header {
  background-color: rgb(254, 175, 161);
  height: 50px;
  border-radius: 20px;
}

h3.modal-container-header {
  margin-top: 10px;
  color: white;
  text-align: center;
}

.container-fluid.modal-container-body {
  background-color: white;
  height: auto;
  border-radius: 20px;
  border-style: solid;
  border-color: rgb(254, 103, 72);
  padding-bottom: 10px;
}

.modal-content.modal-alert {
  border-radius: 25px 25px 25px 25px;
  width: 464px;
  margin-left: 100px;
}

.container-fluid.modal-container-header-alert {
  background-color: rgba(255, 187, 0, 0.2);
  height: 50px;
  border-radius: 20px;
}

.confirm-modal-img {
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 120px;
}

.confirm-modal {
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
}

.confirm-modal-content {
  text-align: center;
  font-size: large;
}

.container-fluid.modal-container-header-success {
  background-color: rgba(51, 255, 51, 0.2);
  height: 50px;
  border-radius: 20px;
}

.container-fluid.modal-container-header-error {
  background-color: rgba(255, 0, 0, 0.2);
  height: 50px;
  border-radius: 20px;
}

.content-page-container {
  background-color: white;
  width: auto;
  height: auto;
  border-radius: 8px;
  padding-bottom: 20px;
  font-family: Sarabun, sans-serif;
}

/* tr:hover {
    background: #f2f3ff;
    outline: none;
    cursor: pointer;
} */

.contianer-line {
  background-color: white;
  height: auto;
  border-radius: 20px;
  border-style: solid;
  border-color: rgb(254, 103, 72);
  padding-bottom: 10px;
  width: 80%;
}

.view-form {
  font-size: 13px;
  padding-top: 20px;
  width: 98%;
  border-radius: 1.5rem;
  padding-bottom: 10px;
  margin-top: 10px;
  background-color: rgb(243, 243, 243);
  box-shadow: rgba(0, 0, 0, 0.25) 0px 1px 2px 0px;
}

.side-menu-bar-edit {
  float: left;
  padding-left: 10%;
}

.diagram-img {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
}

.btn.btn-datatable {
  width: 10px;
  margin-left: 1px;
}

img.btn-datatable-icon {
  width: 15px;
  margin-left: -7px;
}

img.btn-datatable-icon-view {
  width: 15px;
}

.btn.btn-view-icon {
  width: 120px;
}

.select2-container--default .select2-selection--multiple {
  border: 1px solid black !important;
  border-radius: 10px !important;
}

.borderRecolor {
  border-color: #000;
}

.form-control {
  border-color: #000;
}

#example_filter input {
  border-radius: 0.25rem;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px,
    rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
}

table.dataTable thead tr {
  background-color: #faf1e8;
  color: black;
  font-weight: bold;
}

th {
  border-top: 1px solid #000000;
  border-right: 1px solid #dddddd;
}

th:first-child {
  border-left: 1px solid #dddddd;
}

/* home css */
.content-page-home {
  top: 30px;
  margin-left: 0px;
  background-color: white;
}

.page-home-footer {
  margin-left: 0px !important;
}

.page-home-menu-icon {
  width: 100px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  padding-top: 40px;
  padding-bottom: 10px;
}

.page-home-menu {
  color: black;
  width: 220px;
  height: 250px;
  border-radius: 25px;
  padding-left: 5px;
  padding-right: 5px;
  box-shadow: rgb(250, 251, 255) -5px -5px 10px 0px,
    rgba(22, 27, 29, 0.23) 5px 5px 10px 0px;
  overflow: visible;
  transform: none;
  opacity: 1;
  transition: 0.3s;
}

.page-home-menu:hover {
  opacity: 0.6;
}

.page-home-bottom-nav {
  overflow: hidden;
  /* background-color: #333; */
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 40px;
  padding-left: 30px;
  padding-right: 30px;
  padding-bottom: 30px;
}

.page-home-bottom-content {
  padding-right: 1.0715rem;
  padding-left: 1.0715rem;
  margin-right: auto;
  margin-left: auto;
  background-color: white;
  width: auto;
  height: auto;
  border-radius: 0px 0px 8px 8px;
  height: 40px;
  text-align: center;
}

.page-home-bottom-content > img {
  width: 20px;
}

.page-home-text-icon {
  color: white;
  font-size: medium;
  text-align: center;
}

@media only screen and (max-width: 1500px) {
  .page-home-menu {
    width: 150px;
    height: 180px;
  }

  .page-home-menu-icon {
    width: 80px;
    padding-top: 20px;
    padding-bottom: 5px;
  }
}

.nav-home-topbar {
  /*background-image: linear-gradient(
    rgb(237, 99, 158) 0%,
    rgb(253, 142, 175) 100%
  );*/
  padding-top: 10px;
  padding-bottom: 10px;
}

.page-home-box-shadow {
  box-shadow: rgba(50, 50, 93, 0.25) 0px 0px 60px -12px inset,
    rgba(0, 0, 0, 0.3) 0px 1px 30px -18px inset;
}

.datatable-hidden {
  display: none;
}






#toolbarContainer { display: none !important; }